<?php

namespace FM\Factory;

use Doctrine\ORM\EntityManager;

class DadosRelatorioFactory {
  protected $connection;

  public function __construct(EntityManager $entityManager) {
      $this->connection = $entityManager->getConnection();
  }
  
  public function getDataBase() {
        $sql = "SELECT NRFONTEDADOSGRAFREL, NMFONTEDADOSGRAFREL
                FROM FCM_FONTEDADOSGRAFREL";
                
        $std = $this->connection->prepare($sql);
        $std->execute();
        return $std->fetchAll();
    }
    
    public function getData($param) {
        $sql = "SELECT NRDADOSGRAFREL, NMDADOSGRAFREL
                  FROM FCM_DADOSGRAFREL
                 WHERE NRFONTEDADOSGRAFREL = {$param['NR']}";
                
        $std = $this->connection->prepare($sql);
        $std->execute();
        return $std->fetchAll();
    }
}

?>