<?php

namespace FM\Factory;

use Doctrine\ORM\EntityManager;

class ParamAlertContPessoasFactory {
    protected $connection;

    public function __construct(EntityManager $entityManager) {
        $this->connection = $entityManager->getConnection();
    }
    
    public function insertParamAlert($params) {
        $sql = "INSERT INTO FCM_PARAMALERTCONTPESSOAS (NRPARAMALERTCONTPESSOAS,
            NRPARAMLEITCONTPESSOAS, IDTIPOALERTA, DSCONTATOSALERTA, IDATIVO,
            DTINCLUSAO, NRORG, CDOPERULTATU, NRORGULTATU)
            VALUES (:NRPARAMALERTCONTPESSOAS, :NRPARAMLEITCONTPESSOAS,
            :IDTIPOALERTA, :DSCONTATOSALERTA, 'S', SYSDATE, :NRORG,
            :CDOPERULTATU, 0)";
            $std = $this->connection->prepare($sql);
            $std->execute($params);
            // $std->execute();
            // $message = "Item was sucessfuly inserted.";
            // return $message;
    }
}

?>
